package org.eso.ohs.core.dbb.sql;

// $Id: DbbQueryStarted.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventObject;

/**
 * This class defines a database browser event indicating that a query
 * start action has been fired from the GUI and has to be notified to
 * the corresponding DbbSqlListener objects.
 * <br>
 * @see DbbSqlListener
 * @author Carlo Boarotto, ESO 20-Jul-1999 
 */
public class DbbQueryStarted extends EventObject {

    /** Number of events belonging to the class */
    protected static int count = 0;

    /** Create a DbbQueryStarted object. */
    public DbbQueryStarted(Object source) {
	super(source);
	count++;
    }
    
    /** @return the total number of DbbQueryStarted objects. */
    public int getNum() { return count; }
}

